सामग्री पर जाएँ

Wan · v2.2 A14b · Text to Video · Turbo

इंटीग्रेट करें

मॉडल id wan/v2.2-a14b/text-to-video/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/wan/v2.2-a14b/text-to-video/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.10 100 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Alibaba टेक्स्ट से वीडियो तेज़720p तक #text-to-video#motion

न्यूनतम नियंत्रणों वाला Turbo A14B टेक्स्ट-टू-वीडियो: प्रॉम्प्ट, रिज़ॉल्यूशन और पहलू अनुपात

Alibaba · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो रिज़ॉल्यूशन: 480p, 580p या 720p।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो, 16:9 या 9:16।

उन्नत acceleration · video_quality · video_write_mode · seed · enable_safety_checker · enable_output_safety_checker · enable_prompt_expansion
acceleration डिफ़ॉल्ट regular

त्वरण सेटिंग, जिसमें 'regular' अनुशंसित विकल्प है। त्वरण बढ़ाने पर गुणवत्ता कम होती है, लेकिन निर्माण समय घटता है।

video_quality डिफ़ॉल्ट high

आउटपुट वीडियो गुणवत्ता सेटिंग, जिसे बढ़ाने पर बेहतर दृश्य के बदले फ़ाइलें बड़ी होती हैं।

video_write_mode डिफ़ॉल्ट balanced

वीडियो लेखन मोड, जिसमें balanced गति और गुणवत्ता के बीच संतुलन देता है। सबसे छोटी फ़ाइलों और सबसे धीमे लेखन के लिए small चुनें; तेज़ लेखन परिणाम जल्दी लौटाता है, लेकिन बड़ी फ़ाइलें बनाता है।

निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।

POST /run/wan/v2.2-a14b/text-to-video/turbo?wait=20 कोटेशन → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/wan/v2.2-a14b/text-to-video/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Wan · v2.2 A14b · Text to Video · Turbo के बारे में

एक सुव्यवस्थित text-to-video एंडपॉइंट जो `prompt`, 480p, 580p या 720p का `resolution`, और 16:9, 9:16 या 1:1 का `aspect_ratio` लेता है। फ़्रेम काउंट, गाइडेंस और स्टेप सेटिंग्स उपलब्ध नहीं हैं। आप अभी भी `seed`, `acceleration`, वीडियो क्वालिटी और राइट मोड सेट कर सकते हैं, और प्रॉम्प्ट एक्सपेंशन को इनेबल कर सकते हैं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
480p580p720p
आउटपुट वीडियो रिज़ॉल्यूशन: 480p, 580p या 720p।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:1
आउटपुट वीडियो का आस्पेक्ट रेशियो, 16:9 या 9:16।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
प्रोसेसिंग से पहले इनपुट सुरक्षा जाँच, जिसे केवल अधिकृत खाते बंद कर सकते हैं। प्राधिकरण रहित अनुरोध हमेशा जाँचे जाते हैं; अन्यथा true जाँच सक्षम करता है।
enable_output_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्मित वीडियो की सुरक्षा जाँच नियंत्रित करता है; true सेट करने पर निर्माण के बाद जाँच सक्षम होती है।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
बड़े भाषा मॉडल को विवरणों के साथ प्रॉम्प्ट समृद्ध करने दें। इस विस्तार को सक्षम करने पर प्रॉम्प्ट का अर्थ अपरिवर्तित रहता है।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregular
त्वरण सेटिंग, जिसमें 'regular' अनुशंसित विकल्प है। त्वरण बढ़ाने पर गुणवत्ता कम होती है, लेकिन निर्माण समय घटता है।
video_qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टhigh
lowmediumhighmaximum
आउटपुट वीडियो गुणवत्ता सेटिंग, जिसे बढ़ाने पर बेहतर दृश्य के बदले फ़ाइलें बड़ी होती हैं।
video_write_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टbalanced
fastbalancedsmall
वीडियो लेखन मोड, जिसमें balanced गति और गुणवत्ता के बीच संतुलन देता है। सबसे छोटी फ़ाइलों और सबसे धीमे लेखन के लिए small चुनें; तेज़ लेखन परिणाम जल्दी लौटाता है, लेकिन बड़ी फ़ाइलें बनाता है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-a14b/text-to-video/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}निर्माण से तैयार की गई वीडियो फ़ाइल।
prompt
stringवीडियो बनाने के लिए उपयोग किया गया टेक्स्ट प्रॉम्प्ट।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/wan/v2.2-a14b/text-to-video/turbo.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt